export declare const treeData: import('vue').Ref<never[]>;
export declare const selectedKeys: any;
export declare const tableSelected: any;
export declare const instanceIds: import('vue').ComputedRef<any>;
export declare function getTreeData(): Promise<unknown>;
export declare function getTabConfig(): Promise<unknown>;
export declare function getTableProps(methods: any, router: any): {
    rowKey: string;
    columns: ({
        title: string;
        dataIndex: string;
        customRender: ({ record }: {
            record: any;
        }) => import('vue').VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        width: number;
        ellipsis?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        ellipsis: boolean;
        customRender?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        customRender?: undefined;
        ellipsis?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        fixed: string;
        buttons: {
            title: string;
            icon: string;
            props: {
                type: string;
            };
            key: string;
            onClick: (record: any) => void;
        }[];
        customRender?: undefined;
        ellipsis?: undefined;
    })[];
    rowSelection: {
        onChange: (_selectedRowKeys: any, selectedRows: any) => void;
        selectedRowKeys: import('vue').ComputedRef<any>;
    };
};
export declare function getFormProps(state?: any): {
    formProps: {
        layout: string;
        columns: ({
            field: string;
            label: string;
            colAttr?: undefined;
            timeRangeFieldNames?: undefined;
            component?: undefined;
            componentProps?: undefined;
            hide?: undefined;
            defaultValue?: undefined;
        } | {
            field: string;
            label: string;
            colAttr: {
                span: number;
            };
            timeRangeFieldNames: {
                startTime: string;
                endTime: string;
            };
            component: string;
            componentProps: {
                style: {
                    width: string;
                };
                valueFormat: string;
                'tree-data'?: undefined;
                'field-names'?: undefined;
                treeDefaultExpandAll?: undefined;
            };
            hide?: undefined;
            defaultValue?: undefined;
        } | {
            field: string;
            label: string;
            hide: boolean;
            defaultValue: any;
            component: string;
            componentProps: {
                'tree-data': import('vue').Ref<never[]>;
                'field-names': {
                    children: string;
                    value: string;
                    label: string;
                };
                treeDefaultExpandAll: boolean;
                style?: undefined;
                valueFormat?: undefined;
            };
            colAttr?: undefined;
            timeRangeFieldNames?: undefined;
        })[];
    };
};
