export declare const treeData: import('vue').Ref<never[]>;
export declare const selectedKeys: any;
export declare function getTreeData(): Promise<unknown>;
export declare function getTableProps(methods: any, router: any): {
    columns: ({
        title: string;
        dataIndex: string;
        customRender: ({ record }: {
            record: any;
        }) => import('vue').VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        width: number;
        ellipsis?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        ellipsis: boolean;
        customRender?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        customRender?: undefined;
        ellipsis?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        customRender: ({ record }: {
            record: any;
        }) => string;
        width: number;
        ellipsis?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        fixed: string;
        buttons: ({
            title: string;
            icon: string;
            props: {
                type: string;
                danger?: undefined;
            };
            key: string;
            onClick: (record: any) => void;
            popconfirm?: undefined;
            hide?: undefined;
        } | {
            title: string;
            icon: string;
            props: {
                type: string;
                danger: boolean;
            };
            key: string;
            popconfirm: {
                title: string;
                confirm: (record: any) => void;
            };
            onClick?: undefined;
            hide?: undefined;
        } | {
            title: string;
            icon: string;
            hide: (record: any) => boolean;
            props: {
                type: string;
                danger?: undefined;
            };
            key: string;
            onClick: (record: any) => void;
            popconfirm?: undefined;
        })[];
        customRender?: undefined;
        ellipsis?: undefined;
    })[];
};
export declare function getFormProps(state?: any): {
    formProps: {
        baseColAttr: {
            span: number;
        };
        columns: ({
            field: string;
            label: string;
            colAttr?: undefined;
            timeRangeFieldNames?: undefined;
            component?: undefined;
            componentProps?: undefined;
            hide?: undefined;
            defaultValue?: undefined;
        } | {
            field: string;
            label: string;
            colAttr: {
                span: number;
            };
            timeRangeFieldNames: {
                startTime: string;
                endTime: string;
            };
            component: string;
            componentProps: {
                style: {
                    width: string;
                };
                valueFormat: string;
                'tree-data'?: undefined;
                'field-names'?: undefined;
                treeDefaultExpandAll?: undefined;
                dict?: undefined;
                selectProps?: undefined;
            };
            hide?: undefined;
            defaultValue?: undefined;
        } | {
            field: string;
            label: string;
            hide: boolean;
            defaultValue: any;
            component: string;
            componentProps: {
                'tree-data': import('vue').Ref<never[]>;
                'field-names': {
                    children: string;
                    value: string;
                    label: string;
                };
                treeDefaultExpandAll: boolean;
                style?: undefined;
                valueFormat?: undefined;
                dict?: undefined;
                selectProps?: undefined;
            };
            colAttr?: undefined;
            timeRangeFieldNames?: undefined;
        } | {
            field: string;
            label: string;
            component: string;
            componentProps: {
                dict: string;
                selectProps: {
                    allowClear: boolean;
                };
                style?: undefined;
                valueFormat?: undefined;
                'tree-data'?: undefined;
                'field-names'?: undefined;
                treeDefaultExpandAll?: undefined;
            };
            colAttr?: undefined;
            timeRangeFieldNames?: undefined;
            hide?: undefined;
            defaultValue?: undefined;
        })[];
    };
};
