import { WorkflowPluginsConf } from '../type/workflow';
import { updateDictionary } from './dict';
import { setWorkflowConfig as setConfig } from './config';
import { openWorkflowDesign, openWorkflowServiceRender, openWorkflowFormRender } from '../utils/business';
import { getLocationQuery } from '../utils/common';
import { default as SanZhiWorkflowActions } from '../components/Workflow/business/actions/SanZhiWorkflowActions.vue';

declare const moduleList: {
    '../../views/workflow/SanZhiWorkflowVue3.vue': () => Promise<typeof import("/@/components/Workflow/SanZhiWorkflowVue3.vue")>;
    '../../views/workflow/manage/SanZhiWorkflowManage.vue': () => Promise<typeof import("/@/components/Workflow/business/manage/SanZhiWorkflowManage.vue")>;
    '../../views/workflow/manage/SanZhiWorkFlowButtonManage.vue': () => Promise<typeof import("/@/components/Workflow/business/manage/SanZhiWorkFlowButtonManage.vue")>;
    '../../views/workflow/publish/SanZhiWorkflowPublish.vue': () => Promise<typeof import("/@/components/Workflow/business/publish/SanZhiWorkflowPublish.vue")>;
    '../../views/workflow/work/SanZhiWorkflowArchive.vue': () => Promise<typeof import("/@/components/Workflow/business/work/SanZhiWorkflowArchive.vue")>;
    '../../views/workflow/work/SanZhiWorkflowCompleted.vue': () => Promise<typeof import("/@/components/Workflow/business/work/SanZhiWorkflowCompleted.vue")>;
    '../../views/workflow/work/SanZhiWorkflowInstance.vue': () => Promise<typeof import("/@/components/Workflow/business/work/SanZhiWorkflowInstance.vue")>;
    '../../views/workflow/work/SanZhiWorkflowMine.vue': () => Promise<typeof import("/@/components/Workflow/business/work/SanZhiWorkflowMine.vue")>;
    '../../views/workflow/work/SanZhiWorkflowPass.vue': () => Promise<typeof import("/@/components/Workflow/business/work/SanZhiWorkflowPass.vue")>;
    '../../views/workflow/work/SanZhiWorkflowWait.vue': () => Promise<typeof import("/@/components/Workflow/business/work/SanZhiWorkflowWait.vue")>;
};
declare const PluginConf: WorkflowPluginsConf;
export { moduleList, SanZhiWorkflowActions, updateDictionary, setConfig as setWorkflowConfig, setConfig, getLocationQuery, openWorkflowDesign, openWorkflowServiceRender, openWorkflowFormRender, };
export default PluginConf;
